Subject: Re: TCP connection management...

From: [email-masked] (Scott Adams)
Date: Tue, 31 Aug 1993 13:57:59 -0400 (EDT)

This is a (belated) response to Peter Gayek's appeal for other
opinions on the issue of Anand Subramanian's proposals...

> The "one TC (containing 1 or 2 TCP connections) per circuit" question
> needs to be decided since it is a fundamentally different solution than
> any pacing scheme we have considered.  So far, Shannon, Choon Lee,
> Andy, and I have ventured opinions on this - it would be good to hear
> from others.  Here are some further thoughts on my part:

Our boxes here at Cayman are on the distincly small side, and thus we
must live under significant resource restraints.  This includes the
number of TCP connections that we can reasonably support.  For this
reason, I favor multiplexing links over TC's and using a flow control
mechanism  to manage them.  The  one-TCP cnxn-per-link proposal does
have a certain appeal, but I don't think it is realistic to make it the
standard form of TP cnxn management.

Scott